OGRE-Next: Ogre::GLES2FrameBufferObject Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::GLES2FrameBufferObject Class Reference

Frame Buffer Object abstraction. More...

`#include <OgreGLES2FrameBufferObject.h>`

## Public Member Functions
| GLES2FrameBufferObject (GLES2FBOManager *manager, uint fsaa)
| ~GLES2FrameBufferObject ()
void | attachDepthBuffer (DepthBuffer *depthBuffer)
| This function acts very similar to.
void | bind ()
| Bind FrameBufferObject.
void | bindSurface (size_t attachment, const GLES2SurfaceDesc &target)
| Bind a surface to a certain attachment point.
void | detachDepthBuffer ()
PixelFormat | getFormat ()
GLsizei | getFSAA ()
GLuint | getGLFBOID () const
| Get the GL id for the FBO.
GLuint | getGLMultisampleFBOID () const
| Get the GL id for the multisample FBO.
uint32 | getHeight ()
GLES2FBOManager * | getManager ()
const GLES2SurfaceDesc & | getSurface (size_t attachment)
uint32 | getWidth ()
| Accessors.
void | swapBuffers ()
| Swap buffers - only useful when using multisample buffers.
void | unbindSurface (size_t attachment)
| Unbind attachment.

## Detailed Description

Frame Buffer Object abstraction.

## Constructor & Destructor Documentation

## ◆ GLES2FrameBufferObject()

Ogre::GLES2FrameBufferObject::GLES2FrameBufferObject | ( | GLES2FBOManager * | manager,
|  | uint | fsaa )

## ◆ ~GLES2FrameBufferObject()

Ogre::GLES2FrameBufferObject::~GLES2FrameBufferObject | ( |  | ) |

## Member Function Documentation

## ◆ attachDepthBuffer()

void Ogre::GLES2FrameBufferObject::attachDepthBuffer | ( | DepthBuffer * | depthBuffer | ) |

This function acts very similar to.

See also
  GLES2FBORenderTexture::attachDepthBuffer The difference between D3D & OGL is that D3D setups the DepthBuffer before rendering, while OGL setups the DepthBuffer per FBO. So the DepthBuffer (RenderBuffer) needs to be attached for OGL.

## ◆ bind()

void Ogre::GLES2FrameBufferObject::bind | ( |  | ) |

Bind FrameBufferObject.

## ◆ bindSurface()

void Ogre::GLES2FrameBufferObject::bindSurface | ( | size_t | attachment,
|  | const GLES2SurfaceDesc & | target )

Bind a surface to a certain attachment point.

attachment: 0..OGRE_MAX_MULTIPLE_RENDER_TARGETS-1

## ◆ detachDepthBuffer()

void Ogre::GLES2FrameBufferObject::detachDepthBuffer | ( |  | ) |

## ◆ getFormat()

PixelFormat Ogre::GLES2FrameBufferObject::getFormat | ( |  | ) |

## ◆ getFSAA()

GLsizei Ogre::GLES2FrameBufferObject::getFSAA | ( |  | ) |

## ◆ getGLFBOID()

GLuint Ogre::GLES2FrameBufferObject::getGLFBOID | ( |  | ) | const
| inline

Get the GL id for the FBO.

## ◆ getGLMultisampleFBOID()

GLuint Ogre::GLES2FrameBufferObject::getGLMultisampleFBOID | ( |  | ) | const
| inline

Get the GL id for the multisample FBO.

## ◆ getHeight()

uint32 Ogre::GLES2FrameBufferObject::getHeight | ( |  | ) |

## ◆ getManager()

GLES2FBOManager * Ogre::GLES2FrameBufferObject::getManager | ( |  | ) |
| inline

## ◆ getSurface()

const GLES2SurfaceDesc & Ogre::GLES2FrameBufferObject::getSurface | ( | size_t | attachment | ) |
| inline

## ◆ getWidth()

uint32 Ogre::GLES2FrameBufferObject::getWidth | ( |  | ) |

Accessors.

## ◆ swapBuffers()

void Ogre::GLES2FrameBufferObject::swapBuffers | ( |  | ) |

Swap buffers - only useful when using multisample buffers.

## ◆ unbindSurface()

void Ogre::GLES2FrameBufferObject::unbindSurface | ( | size_t | attachment | ) |

Unbind attachment.

The documentation for this class was generated from the following file:

- OgreGLES2FrameBufferObject.h